Welcome Guest. Please Login or Register  


You are here: Index > AMPPS > General Support > Topic : AMPPS 1.8 on Mountain Lion

1


Threaded Mode | Print  

 AMPPS 1.8 on Mountain Lion, Apache not starting up (20 Replies, Read 15680 times)
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Hi,
I just updated to Mac OS X Mountain Lion and after the update Apache has stopped starting up although MySQL starts up fine.

Are there any changes that need to be made so that the AMPPS version of Apache Server works in Mountain Lion?

Thanks for the wonderful software.

Regards,
Thokak
IP: --   

AMPPS 1.8 on Mountain Lion
ketan
Group: AMPPS Team
Post Group: Working Member
Posts: 159
Status:
Hi,

We have not tested on Mac OS X Mountain Lion yet, it will take some time.

Though you can run the following command from terminal and let us know the error.

"/Applications/AMPPS/apache/bin/httpd"

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/u/0/b/111580687033722614505/
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Hi Ketan ,
I get this message on running the command
httpd: Syntax error on line 106 of /Applications/AMPPS/apache/conf/httpd.conf: Cannot load /Applications/AMPPS/php/libphp5.so into server: dlopen(/Applications/AMPPS/php/libphp5.so, 10): Library not loaded: /usr/lib/libltdl.7.dylib\n  Referenced from: /Applications/AMPPS/php/libphp5.so\n  Reason: image not found


Thanks
IP: --   

AMPPS 1.8 on Mountain Lion
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 963
Status:
Hi,

Can you find the file /usr/lib/libltdl.7.dylib ?

If no, can you find any similar file ?

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/u/0/b/111580687033722614505/
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Hi tidus,
I could not find a file named libltdl.7.dylib associated with AMPPS. I did find the file but in the Applications folder of MAMP that is also installed on my system.

Thanks
IP: --   

AMPPS 1.8 on Mountain Lion
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 963
Status:
Hi,

Okay. We will try AMPPS on Mountain Lion soon and will try to solve this as soon as possible.

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/u/0/b/111580687033722614505/
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Hi tidus,
Appreciate your support. Looking forward to a solution

Thanks
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Hi guys,
Any updates on this?

Regards,
Th
IP: --   

AMPPS 1.8 on Mountain Lion
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 963
Status:
Hi,

No. We will let you know once it is done. It will take some time.

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/u/0/b/111580687033722614505/
IP: --   

AMPPS 1.8 on Mountain Lion
scarnie
Group: Member
Post Group: Newbie
Posts: 3
Status:
Quote From : thokkalodi June 20, 2012, 3:19 am
Hi guys,
Any updates on this?

Regards,
Th
I've resolved the issue in my environment.  To fix, you'll need to install the homebrew package manager, followed by libtool:
Code
homebrew install libtool --universal
NOTE:You may also need to cherry pick my patch to the lib tool formula, in order to build the universal binary version, if they have not merged it in.  To check, type
Code
homebrew options libtool
, and it should show the --universal parameter.
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Hi,
I've tried installing homebrew but it doesn't work since it needs XCode tools which cannot be installed since XCode is not yet available for Mountain Lion.

Is there any other solution to this?
I really hope there is a solution to this soon.
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Update
I installed just the Xcode Command line tools (Not Xcode itself) and followed scarnie's instructions and it is now working fine :)
Thanks scarnie for  your help!
IP: --   

AMPPS 1.8 on Mountain Lion
bkno
Group: Member
Post Group: Newbie
Posts: 1
Status:
Thanks for the solution scarnie. This is what worked for me:

Step 1. Install Xcode though App Store.
Step 2. Find Xcode in Launch Pad and install.
Step 3. homebrew install libtool --universal
IP: --   

AMPPS 1.8 on Mountain Lion
thokkalodi
Group: Member
Post Group: Newbie
Posts: 11
Status:
Now that Mountain Lion has officially released , it would be nice to have a new release which addresses this problem and doesn't need any workarounds to work
IP: --   

AMPPS 1.8 on Mountain Lion
Vulcanus
Group: Member
Post Group: Newbie
Posts: 8
Status:
Quote From : thokkalodi July 26, 2012, 7:22 pm
Now that Mountain Lion has officially released , it would be nice to have a new release which addresses this problem and doesn't need any workarounds to work
Yes, I agree:  it would be nice to have a new release.
IP: --   

« Previous    Next »

Threaded Mode | Print  

1


Jump To :


Users viewing this topic
1 guests, 0 users.


All times are GMT. The time now is April 18, 2014, 12:13 am.

  Powered By AEF 1.0.8 © 2007-2008 Electron Inc.Queries: 11  |  Page Created In:0.828